/*
 * Sorts the tasks by their period
 */
public class Sorting {
  public Sorting(){
	  
  }
  
  /*
   * returns sorted task array given an array
   */
  public static Task[] SortTaskArray(Task[] unsorted){
	  Task[] sorted = new Task[unsorted.length];
	  for(int i = 0; i < unsorted.length; i++){
		  sorted[i] = unsorted[i];
	  }
	  for(int i = 0; i < sorted.length; i++){
		  int minPos = i;
		  float minValue = sorted[i].getPeriod();
		  for(int j=i+1; j<sorted.length; j++){
			  if(sorted[j].getPeriod() < minValue){
				  minValue = sorted[j].getPeriod();
				  minPos = j;
			  }
		  }
		  if(minPos != i){
		  Task temp = sorted[i];
		  sorted[i] = sorted[minPos];
		  sorted[minPos] = temp;
		  }
	  }
	  return sorted;
  }
  /*
   * Returns sorted TaskSet given a task set
  */
  public static TaskSet orderTaskSet(TaskSet oldVector){
	  Task[] old = TaskArray.toArray(oldVector);
	  Task[] ordered = Sorting.SortTaskArray(old);
	  TaskSet newSet = new TaskSet();
	  for(int i = 0; i<old.length;i++){
		  newSet.addTask(ordered[i]);
	  }
	  return newSet;
	}
}
